<!DOCTYPE html>
<html lang="en">

<head>
    <title>Northern Compass</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!--===============================================================================================-->
    <link rel="icon" type="image/png" href="images/icons/favicon.ico" />
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="fonts/font-awesome-4.7.0/css/font-awesome.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="vendor/animate/animate.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="vendor/select2/select2.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="vendor/countdowntime/flipclock.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="css/util.css">
    <link rel="stylesheet" type="text/css" href="css/main.css">
    <!--===============================================================================================-->
</head>
<style>
    #report {
        display: grid;
        grid-template-columns: 2fr 2fr 2fr;
        align-items: center;
        gap: 1rem;
    }

    table {
        font-family: arial, sans-serif;
        border-collapse: collapse;
        width: 100%;
    }

    td,
    th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
    }

    tr:nth-child(even) {
        background-color: #dddddd;
    }

    /*
	Max width before this PARTICULAR table gets nasty. This query will take effect for any screen smaller than 760px and also iPads specifically.
	*/
    table {
        border-collapse: collapse;
    }

    table,
    th,
    td {
        border: 1px solid black;
    }

    @media only screen and (max-width: 760px),
    (min-device-width: 768px) and (max-device-width: 1024px) {

        #report {
            grid-template-columns: repeat(1, .65fr);
        }

        /* Force table to not be like tables anymore */
        table,
        thead,
        tbody,
        th,
        td,
        tr {
            display: block;
        }

        /* Hide table headers (but not display: none;, for accessibility) */
        thead tr {
            position: absolute;
            top: -9999px;
            left: -9999px;
        }

        tr {
            margin: 0 0 1rem 0;
        }

        tr:nth-child(odd) {
            background: #ccc;
        }

        td {
            /* Behave  like a "row" */
            border: none;
            border-bottom: 1px solid #eee;
            position: relative;
            padding-left: 50%;
        }

        td:before {
            /* Now like a table header */
            position: absolute;
            /* Top/left values mimic padding */
            top: 0;
            left: 6px;
            width: 45%;
            padding-right: 10px;
            white-space: nowrap;
        }

        /*
		Label the data
    You could also use a data-* attribute and content for this. That way "bloats" the HTML, this way means you need to keep HTML and CSS in sync. Lea Verou has a clever way to handle with text-shadow.
		*/
        td:nth-of-type(1):before {
            content: "#";
        }

        td:nth-of-type(2):before {
            content: "Date";
        }

        td:nth-of-type(3):before {
            content: "Company Name";
        }

        td:nth-of-type(4):before {
            content: "Owner Name";
        }

        td:nth-of-type(5):before {
            content: "Email ID";
        }

        td:nth-of-type(6):before {
            content: "Phone Number";
        }

        td:nth-of-type(7):before {
            content: "location";
        }

    }
</style>

<body>
    <div class="container">
        <div class="row ">
            <div class="col-lg-12 col-md-12 py-3">
                <a href="#"><img src="images/icons/northern_compass_2.0.png" alt="LOGO" width="200"></a>
            </div>
            <div class="col-12 ">
                <form id="report">
                    <div class="form-group">
                        <label class="form-control-label">Form Date</label>
                        <input type="date" name='formdate' id='formdate' class="form-control">
                    </div>
                    <div class="form-group">
                        <label class="form-control-label">To Date</label>
                        <input type="date" name="todate" id='todate' class="form-control" i>
                    </div>
                    <div class=" loginbttm">
                        <div class="login-btm login-button">
                            <button type="submit" class="btn btn-outline-primary">Submit</button>
                            &nbsp;&nbsp;
                            <button name='exportreport' id='exportreport' onclick="ExportToExcel('xlsx')" class="btn btn-outline-success d-none ">Export Report</button>
                        </div>
                    </div>
                    <div class="col-lg-12 login-btm login-text">
                        <!-- Error Message -->
                        <p id="result"></p>
                    </div>
                </form>
            </div>
            <div class="col-12">
                <div id="records"></div>
            </div>
        </div>
    </div>

    <!--===============================================================================================-->
    <script src="vendor/jquery/jquery-3.2.1.min.js"></script>
    <!--===============================================================================================-->
    <script src="vendor/bootstrap/js/popper.js"></script>
    <script src="vendor/bootstrap/js/bootstrap.min.js"></script>
    <!--===============================================================================================-->
    <script src="vendor/select2/select2.min.js"></script>
    <!--===============================================================================================-->
    <script src="vendor/countdowntime/flipclock.min.js"></script>
    <script src="vendor/countdowntime/moment.min.js"></script>
    <script src="vendor/countdowntime/moment-timezone.min.js"></script>
    <script src="vendor/countdowntime/moment-timezone-with-data.min.js"></script>
    <script src="vendor/countdowntime/countdowntime.js"></script>
    <script src="js/xlsx.full.min.js"></script>
    <script>
        jQuery(document).ready(function($) {
            $('#formdate').change(function() {
                var formdate = $('#formdate').val().trim();
                if (formdate != null) {
                    var days = 1;
                    var result = new Date(new Date(formdate).setDate(new Date(formdate).getDate() + days));
                    debugger;
                    var finalmindate = result.toLocaleDateString('en-CA');
                    document.getElementById('todate').setAttribute("min", finalmindate);
                }
            })

            if (sessionStorage.getItem('username') == 'admin') {

            } else {
                window.location.href = "http://localhost/northerncompass/login";
            }
            //console.log(sessionStorage.getItem('username'));
            $("#report").submit(function(event) {
                $("#datatable tr").remove();
                event.preventDefault();
                var formdate = $('#formdate').val().trim();
                var todate = $('#todate').val().trim();
                if (formdate && todate) {
                    var formData = new FormData($(this)[0]);
                    $.ajax({
                        url: 'reportdata.php',
                        type: 'POST',
                        data: formData,
                        async: true,
                        cache: false,
                        contentType: false,
                        processData: false,
                        success: function(returndata) {
                            var result = $.parseJSON(returndata);
                            var string = '<table id="datatable" class="table-responsive" width="100%"><tr><th>#</th><th>Date</th> <th>Company Name</th><th>Owner Name</th> <th>Email ID</th><th>Phone Number</th><th>location</th><tr>';

                            /* from result create a string of data and append to the div */
                            var i = 1;
                            $.each(result, function(key, value) {

                                string += "<tr> <td>" + i + "</td><td>" + value['Date'] + "</td> <td>" + value['Company Name'] + "</td> <td>" + value['Owner Name'] + "</td> " +
                                    "</td>  <td>" + value['Email ID'] + "</td> " +
                                    "</td>  <td>" + value['Phone Number'] + "</td> " +
                                    "</td>  <td>" + value['location'] + "</td> </tr>";
                                i++;
                            });
                            string += '</table>';
                            $("#records").html(string);
                            $('#exportreport').removeClass('d-none');
                        }
                    });
                } else {

                }
            });
        });

        function ExportToExcel(type, fn, dl) {
            var formdate = $('#formdate').val().trim();
            var todate = $('#todate').val().trim();
            var elt = document.getElementById('datatable');
            var wb = XLSX.utils.table_to_book(elt, {
                sheet: "sheet1"
            });
            return dl ?
                XLSX.write(wb, {
                    bookType: type,
                    bookSST: true,
                    type: 'base64'
                }) :
                XLSX.writeFile(wb, fn || (formdate + '-to-' +
                    todate + '.' + (type || 'xlsx')));
        }
    </script>
</body>

</html>